Summary: Berkeley's Parallel Make
Name: pmake
Version: 2.1.33
Release: 2
Copyright: BSD
Group: Development/Building
Source0: ftp://ftp.icsi.berkeley.edu/pub/ai/stolcke/software/pmake-2.1.33.tar.Z
Source1: pmake-sys-alpha.mk
Source2: pmake-sys-i386.mk
Source3: pmake-sys-sparc.mk
Source4: pmake-sys-armv4l.mk
Patch0: pmake-2.1.33-glibc.patch
Patch1: pmake-2.1.33-compat21.patch
BuildRoot: /var/tmp/pmake-root

%description
The program make is used to coordinate the compilation and
linking of a set of sources into a program, recompiling
only what is necessary, thus saving a developer a lot of time.
In fact, make can do a lot more - read the info docs.

Pmake is a particular version of make which supports some
additional syntax not in the standard make program.  Some
berkeley programs have Makefiles written for pmake.

%package customs
Summary: A remote execution facility for pmake
Group: Development/Building

%description customs
Customs is a remote execution facility for PMake. Customs is designed to
run on a network of machines with a consistent, shared filesystem. Customs
requires Sun RPC in order to use XDR (eXternal Data Representation) routines
for logging functions.

A single server is designated as the master agent and is additionally
responsible for noting when a machine goes down, from which machines
any given machine will accept jobs and parcelling out available
machines to requesting clients. The job of master is not given to any
one machine but, rather, is decided among the active agents whenever
the previous master dies.

Clients are provided to:
	- alter the availability criteria for the local machine (importquota)
	- find the status of all registered hosts on the net (reginfo).
	- abort, restart or ping any customs agent on the network (cctrl).
	- export a command from the shell (export).
	- accept log information from all hosts on the net (logd).

%prep
%setup -q -n pmake
%patch0 -p1 -b .glibc
%patch1 -p1 -b .compat21

%ifarch i386
cp $RPM_SOURCE_DIR/pmake-sys-${RPM_ARCH}.mk ./lib/mk/sys-${RPM_ARCH}.mk
%endif
cp $RPM_SOURCE_DIR/pmake-sys-${RPM_ARCH}.mk ./lib/mk/sys-`uname -m`.mk

%build
#
# Bootstrap build of local pmake with makefile's
mkdir bin
make	CC="egcs $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake
make	CC="egcs $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake install

#
# Then build pmake using pmake & Makefile's
`pwd`/bin/pmake CC="egcs $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man,sbin}

`pwd`/bin/pmake CC="egcs $RPM_OPT_FLAGS" SYSFLAGS="-DSYSV -DSVR4" \
	DESTDIR=$RPM_BUILD_ROOT install

mv -f customs/README customs/README.customs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/[pv]make
/usr/man/man1/pmake.1
/usr/lib/pmake
%doc CHANGES INSTALL README customs/README.customs etc tests
%doc doc/tutorial.* doc/prefix.*

%files customs
%defattr(-,root,root)
/usr/bin/reginfo
/usr/bin/export
/usr/bin/rexport
/usr/sbin/importquota
/usr/sbin/cctrl
/usr/sbin/logd
/usr/sbin/customs

/usr/man/man1/reginfo.1
/usr/man/man1/export.1
/usr/man/man1/rexport.1
/usr/man/man8/customs.8
/usr/man/man8/cctrl.8
/usr/man/man8/importquota.8
/usr/man/man8/logd.8

/usr/lib/libcustoms*
/usr/include/customs

%changelog
* Fri Feb 05 1999 Scott Bambrough <scottb@corelcomputer.com>
- added source4

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Otto Hammersmith <otto@redhat.com>
- fixed bug related to rules to build .a files.

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated spec file

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
